Page MenuHomePhabricator

PHP Fatal Error from SpecialSecurePoll: Cannot access ResultWrapper::$result
Closed, ResolvedPublic

Description

Error

Request ID: XST@aApAAEIAABw2gpwAAAAH

message
PHP Fatal Error: Cannot access protected property Wikimedia\Rdbms\ResultWrapper::$result
trace
#0 /srv/mediawiki/php-1.34.0-wmf.13/extensions/SecurePoll/includes/pages/ListPage.php(50): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.34.0-wmf.13/extensions/SecurePoll/includes/main/SpecialSecurePoll.php(72): SecurePoll_ListPage->execute(array)
#2 /srv/mediawiki/php-1.34.0-wmf.13/includes/specialpage/SpecialPage.php(571): SecurePoll_SpecialSecurePoll->execute(string)
#3 /srv/mediawiki/php-1.34.0-wmf.13/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(string)
#4 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#5 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(884): MediaWiki->performRequest()
#6 /srv/mediawiki/php-1.34.0-wmf.13/includes/MediaWiki.php(515): MediaWiki->main()
#7 /srv/mediawiki/php-1.34.0-wmf.13/index.php(42): MediaWiki->run()
#8 /srv/mediawiki/w/index.php(3): include(string)

Impact

Notes

Event Timeline

Krinkle created this task.Jul 9 2019, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 9:45 PM

Change 521778 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/SecurePoll@master] Use ResultWrapper::numRows() instead of internal field access

https://gerrit.wikimedia.org/r/521778

Change 521780 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/extensions/SecurePoll@wmf/1.34.0-wmf.13] Use ResultWrapper::numRows() instead of internal field access

https://gerrit.wikimedia.org/r/521780

Change 521778 merged by Jforrester:
[mediawiki/extensions/SecurePoll@master] Use ResultWrapper::numRows() instead of internal field access

https://gerrit.wikimedia.org/r/521778

Change 521780 merged by Krinkle:
[mediawiki/extensions/SecurePoll@wmf/1.34.0-wmf.13] Use ResultWrapper::numRows() instead of internal field access

https://gerrit.wikimedia.org/r/521780

Mentioned in SAL (#wikimedia-operations) [2019-07-09T22:52:41Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.13/extensions/SecurePoll/includes/pages/: c7d7a55b8e8d947234a9 / T227620 (duration: 00m 57s)

Krinkle closed this task as Resolved.Jul 9 2019, 10:54 PM
Krinkle assigned this task to aaron.
Krinkle triaged this task as Unbreak Now! priority.
Krinkle edited projects, added Performance-Team; removed Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM